Subject: Re: bug#53655: haskell build system cannot build attoparsec

From: zimoun <[email-masked]>
Date: Wed, 23 Feb 2022 11:02:31 +0100

Hi,

Thanks for he report.

It is 2 different issues; therefore I propose to keep them separated.

On Mon, 31 Jan 2022 at 11:33, "Philip Munksgaard" <[email-masked]> wrote:

> ```
> $ guix import hackage -r attoparsec

[...]

>
> guix/import/utils.scm:492:33: In procedure lookup-node:
> Wrong number of values returned to continuation (expected 2)
> ```

This one is about the importer.  I think it comes from the current
cabal.scm parser; not able to deal with:

--8<---------------cut here---------------start------------->8---
-- We need to test and benchmark these modules,
-- but do not want to expose them to end users
library attoparsec-internal
  hs-source-dirs: internal
  build-depends: array,

[...]

library
  build-depends: array,
[...]
                 attoparsec-internal
--8<---------------cut here---------------end--------------->8---

Could you open another bug report for that?

Let focus on this one…

> When trying to build this file however, I get the following error:
>
> ```
> running "runhaskell Setup.hs" with command "register" and parameters ("--gen-pkg-config=/gnu/store/25ql0xsjqf0alrvy6hmpw6gzirzbqfmv-ghc-attoparsec-0.14.4/ghc-attoparsec-0.14.4.conf")
> error: in phase 'register': uncaught exception:
> ```

…for this bug report.  Hum, I do not know how where the error comes
from.

Cheers,
simon